Sun Management Center Change Manager 1.0 Reference Manual

## ichange.cfg(4CM)

NAME | DESCRIPTION | SEE ALSO

#### NAME

ichange.cfg– Sun Management Center Change Manager configuration file

#### DESCRIPTION

You can change the behavior of the Change Manager application by modifying certain runtime parameters. These parameters are stored in the application configuration file, `ichange.cfg`. The configuration file is located in the `/var/opt/SUNWsymon/cfg` directory.

Note –

When you make changes to the `ichange.cfg` file, you must restart the Sun Management Center services before the changes can take effect.

Restart the Sun Management Center services by running the following command as superuser:

    # /opt/SUNWsymon/sbin/es-restart -S

#### File Location Parameter

The `cmdataroot` parameter specifies the location of the Change Manager file hierarchy. `cmdataroot` points to the root of the Change Manager file hierarchy.

You might want to change the value of this parameter if you are moving the Change Manager repository to a different location.

The default value is the `/var/opt/ichange` directory.

#### Sun Management Center Agent Parameter

Following is the Sun Management Center agent parameter:

`agentport`

  Sun Management Center agent port to be used. Any update or reinstallation operations in which host parameters do not explicitly specify a value for the agent port will use this one.

  The default value is `161`.

#### Job Execution Parameters

The following parameters describe job execution characteristics:

`boottimeout`

  Interval to wait for a reboot, update, or reinstallation to complete. This is equivalent to the time it takes for the following events to occur:

  - Complete the entire software installation, including any finish scripts

  - The subsequent reboot to return

  - Any boot-time startup procedures to run

  - The Sun Management Center agent to reestablish communications with the management server

  If the host does not reboot and reestablish agent communications with the Sun Management Center server within the specified time period, the associated management operation will fail with a timeout error.

  You might need to change this value if any of the following are true:

  - A managed host takes an unusually long time to boot.

  - Your Sun Management Center topology requires a long time to establish server context for a newly configured agent.

  - A particular software stack takes a long time to install.

  - Finish and startup scripts take a long time to complete.

  The default value is 1800000 milliseconds (30 minutes).

`downtimeout`

  Amount of time to wait for a managed host to shut down after a management operation has requested a reboot. This is effectively the time it takes for a system to complete an `init 6` sequence.

  If the host does not shut itself down within the specified time, the associated management operation will fail with a timeout error. Thus, you might need to adjust this value if a host or software stack takes an unusually long time to complete its shutdown sequence.

  The default value is 300000 milliseconds (5 minutes).

#### Other Parameters

`debug`

  Control the printing of debug messages to the Sun Management Center server console.

  The default value is `false`. To turn on the debugging messages, change the value to `true`.

#### SEE ALSO

Sun Management Center Change Manager 1.0 Administration Guide

SunOS 5.9 Last Revised 10 October 2002

NAME | DESCRIPTION | SEE ALSO

- © 2010, Oracle Corporation and/or its affiliates